import React, { CSSProperties } from 'react';
import { HandleType, ElementId, Position, XYPosition, OnConnectFunc, Connection, SetConnectionId } from '../../types';
declare type ValidConnectionFunc = (connection: Connection) => boolean;
declare type SetSourceIdFunc = (params: SetConnectionId) => void;
interface BaseHandleProps {
    type: HandleType;
    nodeId: ElementId;
    onConnect: OnConnectFunc;
    position: Position;
    setConnectionNodeId: SetSourceIdFunc;
    setPosition: (pos: XYPosition) => void;
    isValidConnection: ValidConnectionFunc;
    id?: ElementId | boolean;
    className?: string;
    style?: CSSProperties;
}
declare const BaseHandle: React.MemoExoticComponent<({ type, nodeId, onConnect, position, setConnectionNodeId, setPosition, className, id, isValidConnection, ...rest }: BaseHandleProps) => JSX.Element>;
export default BaseHandle;
