import React, { CSSProperties, MouseEvent } from 'react';
import { Elements, NodeTypesType, EdgeTypesType, OnLoadFunc, Node, Edge, Connection, ConnectionLineType } from '../../types';
export interface GraphViewProps {
    elements: Elements;
    onElementClick?: (element: Node | Edge) => void;
    onElementsRemove?: (elements: Elements) => void;
    onNodeMouseEnter?: (evt: MouseEvent, node: Node) => void;
    onNodeMouseMove?: (evt: MouseEvent, node: Node) => void;
    onNodeMouseLeave?: (evt: MouseEvent, node: Node) => void;
    onNodeContextMenu?: (evt: MouseEvent, node: Node) => void;
    onNodeDragStart?: (node: Node) => void;
    onNodeDragStop?: (node: Node) => void;
    onConnect?: (connection: Connection | Edge) => void;
    onLoad?: OnLoadFunc;
    onMove?: () => void;
    selectionKeyCode: number;
    nodeTypes: NodeTypesType;
    edgeTypes: EdgeTypesType;
    connectionLineType: ConnectionLineType;
    connectionLineStyle?: CSSProperties;
    deleteKeyCode: number;
    snapToGrid: boolean;
    snapGrid: [number, number];
    onlyRenderVisibleNodes: boolean;
    nodesDraggable: boolean;
    nodesConnectable: boolean;
    elementsSelectable: boolean;
    selectNodesOnDrag: boolean;
    minZoom: number;
    maxZoom: number;
    defaultZoom: number;
    arrowHeadColor: string;
    markerEndId?: string;
    zoomOnScroll: boolean;
}
declare const GraphView: React.MemoExoticComponent<({ nodeTypes, edgeTypes, onMove, onLoad, onElementClick, onNodeMouseEnter, onNodeMouseMove, onNodeMouseLeave, onNodeContextMenu, onNodeDragStart, onNodeDragStop, connectionLineType, connectionLineStyle, selectionKeyCode, onElementsRemove, deleteKeyCode, elements, onConnect, snapToGrid, snapGrid, onlyRenderVisibleNodes, nodesDraggable, nodesConnectable, elementsSelectable, selectNodesOnDrag, minZoom, maxZoom, defaultZoom, arrowHeadColor, markerEndId, zoomOnScroll, }: GraphViewProps) => JSX.Element>;
export default GraphView;
