import React, { MouseEvent } from 'react';
import { Node, NodeTypesType, Edge } from '../../types';
interface NodeRendererProps {
    nodeTypes: NodeTypesType;
    selectNodesOnDrag: boolean;
    onElementClick?: (element: Node | Edge) => void;
    onNodeMouseEnter?: (evt: MouseEvent, node: Node) => void;
    onNodeMouseMove?: (evt: MouseEvent, node: Node) => void;
    onNodeMouseLeave?: (evt: MouseEvent, node: Node) => void;
    onNodeContextMenu?: (evt: MouseEvent, node: Node) => void;
    onNodeDragStart?: (node: Node) => void;
    onNodeDragStop?: (node: Node) => void;
    onlyRenderVisibleNodes?: boolean;
}
declare const NodeRenderer: React.MemoExoticComponent<({ onlyRenderVisibleNodes, ...props }: NodeRendererProps) => JSX.Element>;
export default NodeRenderer;
