import { StoreModel } from './index';
export declare const useStoreActions: <Result>(mapActions: (actions: import("easy-peasy").ActionMapper<{
    selectedElements: import("..").Elements | null;
    selectedNodesBbox: import("..").Rect;
    d3Zoom: import("d3-zoom").ZoomBehavior<Element, unknown> | null;
    d3Selection: import("d3-selection").Selection<Element, unknown, null, undefined> | null;
    selection: import("..").SelectionRect | null;
    userSelectionRect: import("..").SelectionRect;
    connectionPosition: import("..").XYPosition;
    onConnect: import("..").OnConnectFunc;
    setOnConnect: import("easy-peasy").Action<StoreModel, import("..").OnConnectFunc>;
    setNodes: import("easy-peasy").Action<StoreModel, import("..").Node[]>;
    setEdges: import("easy-peasy").Action<StoreModel, import("..").Edge[]>;
    updateNodeDimensions: import("easy-peasy").Action<StoreModel, {
        id: string;
        nodeElement: HTMLDivElement;
    }>;
    updateNodePos: import("easy-peasy").Action<StoreModel, import("..").NodePosUpdate>;
    setSelection: import("easy-peasy").Action<StoreModel, boolean>;
    setNodesSelection: import("easy-peasy").Action<StoreModel, {
        isActive: boolean;
        selection?: import("..").SelectionRect | undefined;
    }>;
    setSelectedElements: import("easy-peasy").Action<StoreModel, import("..").Node | import("..").Edge | import("..").Elements>;
    updateTransform: import("easy-peasy").Action<StoreModel, {
        x: number;
        y: number;
        k: number;
    }>;
    updateSize: import("easy-peasy").Action<StoreModel, import("..").Dimensions>;
    initD3: import("easy-peasy").Action<StoreModel, Element>;
    setMinMaxZoom: import("easy-peasy").Action<StoreModel, {
        minZoom: number;
        maxZoom: number;
    }>;
    setSnapGrid: import("easy-peasy").Action<StoreModel, {
        snapToGrid: boolean;
        snapGrid: [number, number];
    }>;
    setConnectionPosition: import("easy-peasy").Action<StoreModel, import("..").XYPosition>;
    setConnectionNodeId: import("easy-peasy").Action<StoreModel, import("..").SetConnectionId>;
    setInteractive: import("easy-peasy").Action<StoreModel, boolean>;
    setNodesDraggable: import("easy-peasy").Action<StoreModel, boolean>;
    setNodesConnectable: import("easy-peasy").Action<StoreModel, boolean>;
    setElementsSelectable: import("easy-peasy").Action<StoreModel, boolean>;
    setUserSelection: import("easy-peasy").Action<StoreModel, import("..").XYPosition>;
    updateUserSelection: import("easy-peasy").Action<StoreModel, import("..").XYPosition>;
    unsetUserSelection: import("easy-peasy").Action<StoreModel, void>;
    fitView: import("easy-peasy").Action<StoreModel, import("..").FitViewParams>;
    zoom: import("easy-peasy").Action<StoreModel, number>;
    zoomIn: import("easy-peasy").Thunk<StoreModel, void, any, {}, any>;
    zoomOut: import("easy-peasy").Thunk<StoreModel, void, any, {}, any>;
}, "1">) => Result) => Result;
export declare const useStoreDispatch: () => import("easy-peasy").Dispatch<StoreModel, import("redux").Action<any>>;
export declare const useStoreState: <Result>(mapState: (state: import("easy-peasy").StateMapper<{
    width: number;
    height: number;
    transform: import("..").Transform;
    nodes: import("..").Node[];
    edges: import("..").Edge[];
    selectedElements: import("..").Elements | null;
    selectedNodesBbox: import("..").Rect;
    d3Zoom: import("d3-zoom").ZoomBehavior<Element, unknown> | null;
    d3Selection: import("d3-selection").Selection<Element, unknown, null, undefined> | null;
    d3Initialised: boolean;
    minZoom: number;
    maxZoom: number;
    nodesSelectionActive: boolean;
    selectionActive: boolean;
    selection: import("..").SelectionRect | null;
    userSelectionRect: import("..").SelectionRect;
    connectionNodeId: string | null;
    connectionHandleType: "source" | "target" | null;
    connectionPosition: import("..").XYPosition;
    snapToGrid: boolean;
    snapGrid: [number, number];
    nodesDraggable: boolean;
    nodesConnectable: boolean;
    elementsSelectable: boolean;
    reactFlowVersion: string;
    onConnect: import("..").OnConnectFunc;
}, "1">) => Result, equalityFn?: ((prev: Result, next: Result) => boolean) | undefined) => Result;
