import { Node, Edge, Elements, Transform, XYPosition, Rect, FitViewParams, Connection } from '../types';
export declare const isEdge: (element: Node | Connection | Edge) => element is Edge;
export declare const isNode: (element: Node | Connection | Edge) => element is Node;
export declare const getOutgoers: (node: Node, elements: Elements) => Elements;
export declare const removeElements: (elementsToRemove: Elements, elements: Elements) => Elements;
export declare const addEdge: (edgeParams: Edge | Connection, elements: Elements) => Elements;
export declare const pointToRendererPoint: ({ x, y }: XYPosition, [tx, ty, tScale]: Transform, snapToGrid: boolean, [snapX, snapY]: [number, number]) => XYPosition;
export declare const project: (position: XYPosition) => XYPosition;
export declare const parseElement: (element: Node | Edge) => Node | Edge;
export declare const getBoundsofRects: (rect1: Rect, rect2: Rect) => Rect;
export declare const getRectOfNodes: (nodes: Node[]) => Rect;
export declare const graphPosToZoomedPos: ({ x, y }: XYPosition, [tx, ty, tScale]: Transform) => XYPosition;
export declare const getNodesInside: (nodes: Node[], rect: Rect, [tx, ty, tScale]?: Transform, partially?: boolean) => Node[];
export declare const getConnectedEdges: (nodes: Node[], edges: Edge[]) => Edge[];
export declare const fitView: (params?: FitViewParams) => void;
export declare const zoomIn: () => void;
export declare const zoomOut: () => void;
export declare const getElements: () => Elements;
